Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Class ServerConfigKeys

    java.lang.Object
      com.sun.appserv.management.config.ServerConfigKeys

public final class ServerConfigKeys
extends java.lang.Object

Keys for use with `DomainConfig.createStandaloneServerConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)` and `DomainConfig.createClusteredServerConfig(java.lang.String, java.lang.String, java.lang.String, java.util.Map)`

Field Summary
`static java.lang.String` | `ADMIN_LISTENER_PORT_KEY` The key for the system property that would be used to assign port value for the iiop listener named admin-listener-port
`static java.lang.String` | `HTTP_LISTENER_1_PORT_KEY` The key for the system property that would be used to assign port value for the listener named http-listener-1
`static java.lang.String` | `HTTP_LISTENER_2_PORT_KEY` The key for the system property that would be used to assign port value for the listener named http-listener-2
`static java.lang.String` | `JMX_SYSTEM_CONNECTOR_PORT_KEY` The key for the system property that would be used to assign port value for the secure iiop listener named JMX_SYSTEM_CONNECTOR
`static java.lang.String` | `ORB_LISTENER_1_PORT_KEY` The key for the system property that would be used to assign port value for the iiop listener named orb-listener-1
`static java.lang.String` | `SSL_MUTUALAUTH_PORT_KEY` The key for the system property that would be used to assign port value for the secure client-auth supporting SSL enabled iiop listenerlistener named SSL_MUTUALAUTH
`static java.lang.String` | `SSL_PORT_KEY` The key for the system property that would be used to assign port value for the secure iiop listener named SSL

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP_LISTENER_1_PORT_KEY

    public static final java.lang.String HTTP_LISTENER_1_PORT_KEY

  The key for the system property that would be used to assign port value for the listener named http-listener-1

  See Also:
    Constant Field Values

### HTTP_LISTENER_2_PORT_KEY

    public static final java.lang.String HTTP_LISTENER_2_PORT_KEY

  The key for the system property that would be used to assign port value for the listener named http-listener-2

  See Also:
    Constant Field Values

### ORB_LISTENER_1_PORT_KEY

    public static final java.lang.String ORB_LISTENER_1_PORT_KEY

  The key for the system property that would be used to assign port value for the iiop listener named orb-listener-1

  See Also:
    Constant Field Values

### ADMIN_LISTENER_PORT_KEY

    public static final java.lang.String ADMIN_LISTENER_PORT_KEY

  The key for the system property that would be used to assign port value for the iiop listener named admin-listener-port

  See Also:
    Constant Field Values

### SSL_PORT_KEY

    public static final java.lang.String SSL_PORT_KEY

  The key for the system property that would be used to assign port value for the secure iiop listener named SSL

  See Also:
    Constant Field Values

### SSL_MUTUALAUTH_PORT_KEY

    public static final java.lang.String SSL_MUTUALAUTH_PORT_KEY

  The key for the system property that would be used to assign port value for the secure client-auth supporting SSL enabled iiop listenerlistener named SSL_MUTUALAUTH

  See Also:
    Constant Field Values

### JMX_SYSTEM_CONNECTOR_PORT_KEY

    public static final java.lang.String JMX_SYSTEM_CONNECTOR_PORT_KEY

  The key for the system property that would be used to assign port value for the secure iiop listener named JMX_SYSTEM_CONNECTOR

  See Also:
    Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.